Bug 30277 - python-module-webpy-0.37-alt1 conflicts
: python-module-webpy-0.37-alt1 conflicts
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/trac)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-09-02 23:14 by
Modified: 2014-09-03 13:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-09-02 23:14:29
# apt-get dist-upgrade -y
<skipped>
Need to get 0B/137MB of archives.
After unpacking 30.6MB of additional disk space will be used.
Committing changes...
Preparing...                 
############################################################################################### 
[100%]
file /usr/lib/python2.7/site-packages/web/__init__.py from install of python-
module-webpy-0.37-alt1 conflicts with file from package trac-1.0-alt3
file /usr/lib/python2.7/site-packages/web/__init__.pyc from install of python-
module-webpy-0.37-alt1 conflicts with file from package trac-1.0-alt3
file /usr/lib/python2.7/site-packages/web/__init__.pyo from install of python-
module-webpy-0.37-alt1 conflicts with file from package trac-1.0-alt3
file /usr/lib/python2.7/site-packages/web/session.py from install of python-
module-webpy-0.37-alt1 conflicts with file from package trac-1.0-alt3
<...>
E: Error while running transaction
------- Comment #1 From 2014-09-02 23:38:14 -------
Если trac носит с собой копию webpy, наверное, её стоит убрать, у нас в Сизифе
актуальная версия webpy.

Если нет, то у trac плохо называется модуль (почему не trac.web?).

Не очень понятно, в чём тут вина webpy.
------- Comment #2 From 2014-09-02 23:55:34 -------
(In reply to comment #1)
> Если trac носит с собой копию webpy

Похоже, так и есть.
------- Comment #3 From 2014-09-03 13:05:47 -------
* Wed Sep 03 2014 Valentin Rosavitskiy <valintinr@altlinux.org> 1.0-alt4
- #30277
- Fixed rpm-filesystem-conflict-file-file
- Fixed init-lsb
- Fixed init-but-no-native-systemd
- Fixed altlinux-policy-obsolete-httpd2-reload

Чтобы закрывалось автоматически, используйте рекомендации отсюда:
http://www.altlinux.org/%D0%A0%D1%83%D0%BA%D0%BE%D0%B2%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%BE_%D0%BF%D0%BE_%D0%BD%D0%B0%D0%BF%D0%B8%D1%81%D0%B0%D0%BD%D0%B8%D1%8E_changelog#.D0.90.D0.B2.D1.82.D0.BE.D0.B7.D0.B0.D0.BA.D1.80.D1.8B.D1.82.D0.B8.D0.B5_.D0.B1.D0.B0.D0.B3.D0.BE.D0.B2
------- Comment #4 From 2014-09-03 13:46:26 -------
(В ответ на комментарий №3)
> * Wed Sep 03 2014 Valentin Rosavitskiy <valintinr@altlinux.org> 1.0-alt4
> - #30277
> - Fixed rpm-filesystem-conflict-file-file
> - Fixed init-lsb
> - Fixed init-but-no-native-systemd
> - Fixed altlinux-policy-obsolete-httpd2-reload
> 
> Чтобы закрывалось автоматически, используйте рекомендации отсюда:
> http://www.altlinux.org/%D0%A0%D1%83%D0%BA%D0%BE%D0%B2%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%BE_%D0%BF%D0%BE_%D0%BD%D0%B0%D0%BF%D0%B8%D1%81%D0%B0%D0%BD%D0%B8%D1%8E_changelog#.D0.90.D0.B2.D1.82.D0.BE.D0.B7.D0.B0.D0.BA.D1.80.D1.8B.D1.82.D0.B8.D0.B5_.D0.B1.D0.B0.D0.B3.D0.BE.D0.B2

Да, спасибо. Мелькало но точный синтаксис не видел, буду знать.